/**
 * Eugene Marinelli
 */

#include <sqlite3.h>
#include <stdio.h>

int main(int argc, char** argv) {
  if (argc != 2) {
    fprintf(stderr, "Usage: %s [db filename]\n", argv[0]);
    return 1;
  }

  sqlite3* db_conn;
  char* db_filename = argv[1];

  int ret = sqlite3_open(db_filename, &db_conn);
  if (ret != SQLITE_OK) {
    fprintf(stderr, "sqlite3_open failed: error code %d\n", ret);
    return 1;
  }

//  char err_buf[80];
  char* err_buf;
  ret = sqlite3_exec(db_conn, "delete from data_collection;", NULL, (void*)NULL, &err_buf);
  if (ret != SQLITE_OK) {
    fprintf(stderr, "sqlite3_exec failed: %d %s\n", ret, err_buf);
    goto out;
  }

  ret = sqlite3_exec(db_conn, "delete from ekg_data;", NULL, (void*)NULL, &err_buf);
  if (ret != SQLITE_OK) {
    fprintf(stderr, "sqlite3_exec failed: %d %s\n", ret, err_buf);
    goto out;
  }

out:
  sqlite3_close(db_conn);

  return 0;
}
