/**
 * @author Eugene Marinelli
 * @date 3/28/08
 *
 * Common definitions for healthnet on gumstix.
 */

#ifndef HEALTHNET_GUMSTIX_H
#define HEALTHNET_GUMSTIX_H

#define GPS_SERIAL "/dev/ttyS2"
#define GPS_ADDRESS "/tmp/GPS_SOCKET"

#define XBEE_SERIAL "/dev/ttyS0"
#define NODED_ADDRESS "/tmp/NODED_SOCKET"

#define EKG_VALUES_PER_READING 50 // and 2 per second

typedef enum {NORTH, SOUTH} LatitudeDirection;
typedef enum {EAST, WEST} LongitudeDirection;

typedef struct {
  float latitude;
  LatitudeDirection latitude_dir;
  float longitude;
  LatitudeDirection longitude_dir;
} Location;

typedef struct {
  double seconds; // time of day in seconds
  char date[10]; // ddmmyy
} Time;

typedef struct {
  Time time;
  Location location;
} GpsData;

typedef struct {
  int exercise_id;
  Time time;
  short values[EKG_VALUES_PER_READING];
} EkgStat;

typedef struct {
  int exercise_id;
  Time time;
  Location location;
  short pulseox;
  int pedometer_steps;
} BodyStat;

#endif
