#include <avr/io.h>
#include "adc.h"

#define F_ADC 1000000UL
#define F_ADCLK (F_ADC / 2UL)
#define UCPHA1 1


void init_adc() {
  UBRR1 = 0;
  DDRD |= _BV(PD4);
  UCSR1C = (1<<UMSEL11)|(1<<UMSEL10)|(1<<UCPHA1)|(1<<UCPOL1);
  UCSR1B = (1<<RXEN1)|(1<<TXEN1);

  int baud = F_CPU / (2UL * F_ADCLK) - 1;
  UBRR1 = baud;
}

uint8_t adc_srbyte(uint8_t send) {
  while (!(UCSR1A & _BV(UDRE1)));

  UDR1 = send;
  while (!(UCSR1A & _BV(RXC1)));
  return UDR1;
}

void adc_readdata(char *dataloc) {
  adc_srbyte(0x12); /* send command byte */

  while (PORTD & _BV(5)); /* wait for DRDY */

  /* Read 4 data bytes */
  int i = 0;
  for (i = 0; i < 4; i++) {
    dataloc[i] = adc_srbyte(0);
  }
}

