/**
 * Eugene Marinelli
 * 4/9/08
 */

#include <avr/interrupt.h>
#include <avr/io.h>
#include <serial.h>
#include <stdio.h>

#define BAUD 12

void serial_init(void) {
  //Set baud rate
  UBRR0H = (unsigned char)BAUD >> 8;
  UBRR0L = (unsigned char)BAUD;
  UCSR0A |= _BV(U2X0);

  /*Enable receiver and transmitter */
  UCSR0B |= (1<<RXEN0) | (1<<TXEN0);

  /* Set frame format: 8data, 1stop bit, asynchronous normal mode */
  UCSR0C |= (1<<UCSZ00) | (1<<UCSZ01);
}

void serial_putc(char c) {
  loop_until_bit_is_set(UCSR0A, UDRE0);
  UDR0 = c;
}
