/**
 * $Id: mcu_types.h,v 1.2 2006/12/22 06:47:47 sschneid Exp $
 *
 * @file
 * @brief Mapping of IAR EW MCU type macros to AVR-GCC MCU type macros
 *
 */
/**
 *  \author
 *      Atmel Corporation: http://www.atmel.com
 *      Support email: avr@atmel.com
 */
/*
 * Copyright (c) 2006, Atmel Corporation All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name of ATMEL may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND
 * SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * Note: this file has been auto-generated using Tools/mkmcutypes.h.
 * DO NOT EDIT!
 */

#ifndef MCU_TYPES_H
#define MCU_TYPES_H

/* === Includes ============================================================== */

/* === Externals ============================================================= */

/* === Macros ================================================================ */

#if defined(__AT43USB320__)
#  define __AVR_AT43USB320__   (__AT43USB320__)
#endif
#if defined(__AT43USB355__)
#  define __AVR_AT43USB355__   (__AT43USB355__)
#endif
#if defined(__AT76C711__)
#  define __AVR_AT76C711__     (__AT76C711__)
#endif
#if defined(__AT86RF235__)
#  define __AVR_AT86RF235__    (__AT86RF235__)
#endif
#if defined(__AT86RF401__)
#  define __AVR_AT86RF401__    (__AT86RF401__)
#endif
#if defined(__AT90C8534__)
#  define __AVR_AT90C8534__    (__AT90C8534__)
#endif
#if defined(__AT90CAN128__)
#  define __AVR_AT90CAN128__   (__AT90CAN128__)
#endif
#if defined(__AT90CAN32__)
#  define __AVR_AT90CAN32__    (__AT90CAN32__)
#endif
#if defined(__AT90CAN64__)
#  define __AVR_AT90CAN64__    (__AT90CAN64__)
#endif
#if defined(__AT90PWM2__)
#  define __AVR_AT90PWM2__     (__AT90PWM2__)
#endif
#if defined(__AT90PWM3__)
#  define __AVR_AT90PWM3__     (__AT90PWM3__)
#endif
#if defined(__AT90S1200__)
#  define __AVR_AT90S1200__    (__AT90S1200__)
#endif
#if defined(__AT90S2313__)
#  define __AVR_AT90S2313__    (__AT90S2313__)
#endif
#if defined(__AT90S2323__)
#  define __AVR_AT90S2323__    (__AT90S2323__)
#endif
#if defined(__AT90S2333__)
#  define __AVR_AT90S2333__    (__AT90S2333__)
#endif
#if defined(__AT90S2343__)
#  define __AVR_AT90S2343__    (__AT90S2343__)
#endif
#if defined(__AT90S4414__)
#  define __AVR_AT90S4414__    (__AT90S4414__)
#endif
#if defined(__AT90S4433__)
#  define __AVR_AT90S4433__    (__AT90S4433__)
#endif
#if defined(__AT90S4434__)
#  define __AVR_AT90S4434__    (__AT90S4434__)
#endif
#if defined(__AT90S8515__)
#  define __AVR_AT90S8515__    (__AT90S8515__)
#endif
#if defined(__AT90S8535__)
#  define __AVR_AT90S8535__    (__AT90S8535__)
#endif
#if defined(__AT94K__)
#  define __AVR_AT94K__        (__AT94K__)
#endif
#if defined(__ATmega103__)
#  define __AVR_ATmega103__    (__ATmega103__)
#endif
#if defined(__ATmega1280__)
#  define __AVR_ATmega1280__   (__ATmega1280__)
#endif
#if defined(__ATmega1281__)
#  define __AVR_ATmega1281__   (__ATmega1281__)
#endif
#if defined(__ATmega128__)
#  define __AVR_ATmega128__    (__ATmega128__)
#endif
#if defined(__ATmega161__)
#  define __AVR_ATmega161__    (__ATmega161__)
#endif
#if defined(__ATmega162__)
#  define __AVR_ATmega162__    (__ATmega162__)
#endif
#if defined(__ATmega163__)
#  define __AVR_ATmega163__    (__ATmega163__)
#endif
#if defined(__ATmega164__)
#  define __AVR_ATmega164__    (__ATmega164__)
#endif
#if defined(__ATmega165__)
#  define __AVR_ATmega165__    (__ATmega165__)
#endif
#if defined(__ATmega168__)
#  define __AVR_ATmega168__    (__ATmega168__)
#endif
#if defined(__ATmega169__)
#  define __AVR_ATmega169__    (__ATmega169__)
#endif
#if defined(__ATmega16__)
#  define __AVR_ATmega16__     (__ATmega16__)
#endif
#if defined(__ATmega323__)
#  define __AVR_ATmega323__    (__ATmega323__)
#endif
#if defined(__ATmega324__)
#  define __AVR_ATmega324__    (__ATmega324__)
#endif
#if defined(__ATmega3250__)
#  define __AVR_ATmega3250__   (__ATmega3250__)
#endif
#if defined(__ATmega325__)
#  define __AVR_ATmega325__    (__ATmega325__)
#endif
#if defined(__ATmega3290__)
#  define __AVR_ATmega3290__   (__ATmega3290__)
#endif
#if defined(__ATmega329__)
#  define __AVR_ATmega329__    (__ATmega329__)
#endif
#if defined(__ATmega32__)
#  define __AVR_ATmega32__     (__ATmega32__)
#endif
#if defined(__ATmega48__)
#  define __AVR_ATmega48__     (__ATmega48__)
#endif
#if defined(__ATmega640__)
#  define __AVR_ATmega640__    (__ATmega640__)
#endif
#if defined(__ATmega644__)
#  define __AVR_ATmega644__    (__ATmega644__)
#endif
#if defined(__ATmega6450__)
#  define __AVR_ATmega6450__   (__ATmega6450__)
#endif
#if defined(__ATmega645__)
#  define __AVR_ATmega645__    (__ATmega645__)
#endif
#if defined(__ATmega6490__)
#  define __AVR_ATmega6490__   (__ATmega6490__)
#endif
#if defined(__ATmega649__)
#  define __AVR_ATmega649__    (__ATmega649__)
#endif
#if defined(__ATmega64__)
#  define __AVR_ATmega64__     (__ATmega64__)
#endif
#if defined(__ATmega8515__)
#  define __AVR_ATmega8515__   (__ATmega8515__)
#endif
#if defined(__ATmega8535__)
#  define __AVR_ATmega8535__   (__ATmega8535__)
#endif
#if defined(__ATmega88__)
#  define __AVR_ATmega88__     (__ATmega88__)
#endif
#if defined(__ATmega8__)
#  define __AVR_ATmega8__      (__ATmega8__)
#endif
#if defined(__ATtiny11__)
#  define __AVR_ATtiny11__     (__ATtiny11__)
#endif
#if defined(__ATtiny12__)
#  define __AVR_ATtiny12__     (__ATtiny12__)
#endif
#if defined(__ATtiny13__)
#  define __AVR_ATtiny13__     (__ATtiny13__)
#endif
#if defined(__ATtiny15__)
#  define __AVR_ATtiny15__     (__ATtiny15__)
#endif
#if defined(__ATtiny22__)
#  define __AVR_ATtiny22__     (__ATtiny22__)
#endif
#if defined(__ATtiny2313__)
#  define __AVR_ATtiny2313__   (__ATtiny2313__)
#endif
#if defined(__ATtiny24__)
#  define __AVR_ATtiny24__     (__ATtiny24__)
#endif
#if defined(__ATtiny25__)
#  define __AVR_ATtiny25__     (__ATtiny25__)
#endif
#if defined(__ATtiny261__)
#  define __AVR_ATtiny261__    (__ATtiny261__)
#endif
#if defined(__ATtiny26__)
#  define __AVR_ATtiny26__     (__ATtiny26__)
#endif
#if defined(__ATtiny28__)
#  define __AVR_ATtiny28__     (__ATtiny28__)
#endif
#if defined(__ATtiny44__)
#  define __AVR_ATtiny44__     (__ATtiny44__)
#endif
#if defined(__ATtiny45__)
#  define __AVR_ATtiny45__     (__ATtiny45__)
#endif
#if defined(__ATtiny461__)
#  define __AVR_ATtiny461__    (__ATtiny461__)
#endif
#if defined(__ATtiny84__)
#  define __AVR_ATtiny84__     (__ATtiny84__)
#endif
#if defined(__ATtiny85__)
#  define __AVR_ATtiny85__     (__ATtiny85__)
#endif
#if defined(__ATtiny861__)
#  define __AVR_ATtiny861__    (__ATtiny861__)
#endif

#endif /* MCU_TYPES_H */
