<?php
	include_once("include/common_functions.php");
	session_start();
	if (!isset($_SESSION['logged_in'])) {
    	header("Location: index.php");
	}
	
	$db = new PDO('sqlite:db/healthnet.db');
				
	$get_exercise_time = 'SELECT DISTINCT Exercise_id, min(Date) AS mindate, min(Time) AS mintime, 
													   max(Date) As maxdate, max(Time) AS maxtime
						  FROM data_collection
						  GROUP BY Exercise_id
						  ORDER BY Exercise_id;';
	$result_exercise = $db->query($get_exercise_time);
			
	foreach($result_exercise as $row) {
		$exercises[] = $row['Exercise_id'];
		$mindatestamp[] = date2Date($row['mindate']);
		$mintimestamp[] = Sec2Time($row['mintime']);
		$maxdatestamp[] = date2Date($row['maxdate']);
		$maxtimestamp[] = Sec2Time($row['maxtime']);
	}
				
	$exercise_count = count($exercises);
	
	$gender = $_POST["gender"];
	$height = $_POST["height"];
	$weight = $_POST["weight"];
	$birthMonth = $_POST["birthmonth"];
	$birthDate = $_POST["birthdate"];
	$birthYear = $_POST["birthyear"];
	$level = $_POST["level"];
	$purpose = $_POST["purpose"];
	
	$submit = $_POST["submit"];
		
	$regexp_screen_name = "^[a-zA-Z][a-zA-Z0-9]+$";
	
	$error = 0;
	$gender_error = 0;
	$height_error = 0;
	$weight_error = 0;
	$birth_error = 0;
	$level_error = 0;
	$purpose_error = 0;
		
	if($submit == "Update") {
		if (($gender == "")) {
			$error = 1;
			$gender_error = 1;
		}
		if (($height == "") || (is_numeric($height) == FALSE)) {
			$error = 1;
			$height_error = 1;
		}
		if (($weight == "") || (is_numeric($weight) == FALSE)) {
			$error = 1;
			$weight_error = 1;
		}
		if (($birthMonth == "") || ($birthDate == "") || ($birthYear == "")) {
			$error = 1;
			$birth_error = 1;
		}
		if (($level != "1") && ($level != "2") && ($level != "3") && ($level != "4")) {
			$error = 1;
			$level_error = 1;
		}
		if (($purpose != "1") && ($purpose != "2")) {
			$error = 1;
			$purpose_error = 1;
		}
		
		if($error == 0) {
			$birthday = sprintf("%04d", $birthYear) . "-" . sprintf("%02d", $birthMonth) . "-" . sprintf("%02d", $birthDate);
			
			$update_user_information = "UPDATE users
										SET gender='$gender',
											Height=$height,
											Weight=$weight,
											Birthday='$birthday',
											level='$level',
											purpose='$purpose'
										WHERE username='admin';";
				
			$db->query($update_user_information);
		}
	}			
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template-login-20080429.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- InstanceBeginEditable name="doctitle" -->
<title>Healthnet - Exercise Review</title>
<!-- InstanceEndEditable --><!-- InstanceBeginEditable name="head" --><!-- InstanceEndEditable -->
<?php
	$documentroot = $_SERVER['DOCUMENT_ROOT'];
	//include_once($documentroot . "549project/ui/include/common_functions.php");
?>
<link href="Templates/css/basic.css" rel="stylesheet" type="text/css" />
<link href="Templates/css/form.css" rel="stylesheet" type="text/css" />
</head>
<body onload="initialize()" onunload="GUnload()">
<table width="1200" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" class="maintable" id="Table_01">
  <div id="header">
    <tr>
      <td width="200" height="60" class="maintableright">&nbsp;</td>
      <td width="800" height="60" colspan="2" class="maintabletop"><a href="index.php"><img src="images/template/top-logo.gif" alt="Norcgi.com" width="800" height="60" border="0" longdesc="http://www.norcgi.com" /></a></td>
      <td width="200" height="60" class="maintableleft">&nbsp;</td>
    </tr>
    <tr>
      <td width="200" class="maintableright">&nbsp;</td>
      <td width="800" colspan="2" >&nbsp;</td>
      <td width="200" class="maintableleft">&nbsp;</td>
    </tr>
  </div>
  
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="200" align="center" valign="top">
		<div class="Menu"><p>
			<br />
			<a href="upload.php">Upload New Data</a><br />
			<a href="suggested.php">Suggested Exercise Plan</a><br />
			<a href="edit.php">Edit User Information</a><br />
			<br />
			<?php
				for($counter = 0; $counter < $exercise_count; $counter++) {
					echo "<a href='display.php?exercise_id=$exercises[$counter]'>Exercise $exercises[$counter]</a><br />";
				}
			?>
			<br />
			<a href="logout.php">Log Out</a><br />
			</p>
		</div>
		<!-- InstanceBeginEditable name="loginmenu" --><!-- InstanceEndEditable --></td>
    <td width="600" align="center"><!-- InstanceBeginEditable name="content" -->
      <table width="550" border="0" cellpadding="0" cellspacing="0" class="thintable">
        <tr>
          <td><img src="images/main/edit_user_information.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td>
		  	<?php
				$get_user_information = 'SELECT * FROM users where username="admin";';
				$result_user_info = $db->query($get_user_information);
				
				foreach($result_user_info as $row) {
					$gender = $row[3];
					$height = $row[4];
					$weight = $row[5];
					$birthday = $row[6];
					$level = $row[7];
					$purpose = $row[8];
					
					list($year, $month, $day) = sscanf($birthday, "%04d-%02d-%02d");
  					$birth_year = sprintf("%04d", $year);
  					$birth_month = sprintf("%02d", $month);
  					$birth_date = sprintf("%02d", $day);
					
					if($birth_month == "1") {
						$birth_month_1 = "selected";
					} else if($birth_month == "2") {
						$birth_month_2 = "selected";
					} else if($birth_month == "3") {
						$birth_month_3 = "selected";
					} else if($birth_month == "4") {
						$birth_month_4 = "selected";
					} else if($birth_month == "5") {
						$birth_month_5 = "selected";
					} else if($birth_month == "6") {
						$birth_month_6 = "selected";
					} else if($birth_month == "7") {
						$birth_month_7 = "selected";
					} else if($birth_month == "8") {
						$birth_month_8 = "selected";
					} else if($birth_month == "9") {
						$birth_month_9 = "selected";
					} else if($birth_month == "10") {
						$birth_month_10 = "selected";
					} else if($birth_month == "11") {
						$birth_month_11 = "selected";
					} else if($birth_month == "12") {
						$birth_month_12 = "selected";
					}
					
					if($gender == "M") {
						$gender_male = "selected";
					} else {
						$gender_female = "selected";
					}
					
					if($level == "1") {
						$level_1 = "checked";
					} else if($level == "2") {
						$level_2 = "checked";
					} else if($level == "3") {
						$level_3 = "checked";
					} else {
						$level_4 = "checked";
					}
					
					if($purpose == "1") {
						$purpose_1 = "checked";
					} else if($purpose == "2") {
						$purpose_2 = "checked";
					}
				}
			?>
		  	<form id="typeOne" action="edit.php" method="post">
				<input name="submit" type="hidden" class="submit" id="button1" value="Update" />
				<fieldset id="Login">
					<legend>Login</legend>
					<ol>
						<li>
							<label for="gender">Gender</label>
							<select name="gender" id="select">
                               	<option value="M" <?php echo $gender_male; ?> >Male</option>
								<option value="F" <?php echo $gender_female; ?> >Female</option>
							</select>
						</li>
						<li>
							<label for="height">Height(in)</label>
							<input name="height" type="text" class="text" id="height" value="<?php echo $height; ?>" />
						</li>
						<li>
							<label for="weight">Weight(lb)</label>
							<input name="weight" type="text" class="text" id="weight" value="<?php echo $weight; ?>"/>
						</li>
						<li>
							<label for="birthday">Birthday</label>
							<select name="birthmonth" id="select">
								<option value="1" <?php echo $birth_month_1; ?> >Jan</option>
								<option value="2" <?php echo $birth_month_2; ?> >Feb</option>
								<option value="3" <?php echo $birth_month_3; ?> >Mar</option>
								<option value="4" <?php echo $birth_month_4; ?> >Apr</option>
								<option value="5" <?php echo $birth_month_5; ?> >May</option>
								<option value="6" <?php echo $birth_month_6; ?> >Jun</option>
								<option value="7" <?php echo $birth_month_7; ?> >Jul</option>
								<option value="8" <?php echo $birth_month_8; ?> >Aug</option>
								<option value="9" <?php echo $birth_month_9; ?> >Sep</option>
								<option value="10" <?php echo $birth_month_10; ?> >Oct</option>
								<option value="11" <?php echo $birth_month_11; ?> >Nov</option>
								<option value="12" <?php echo $birth_month_12; ?> >Dec</option>
							</select> /
							<select name="birthdate" id="select">
								<?php
									for ($i = 1; $i <= 31; $i++) {
										if ($birth_date == $i) {
											echo "<option value=\"$i\" selected>$i</option>\n";
										} else {
											echo "<option value=\"$i\">$i</option>\n";
										}
									}
								?>
							</select> / 
							<select name="birthyear" id="select">
								<?php
									for ($i = 2007; $i >= 1900; $i--) {
										if ($birth_year == $i) {
											echo "<option value=\"$i\" selected>$i</option>\n";
										} else {
											echo "<option value=\"$i\">$i</option>\n";
										}
									}
								?>
							</select>
						</li>
						<li>
							<label for="level">Firness Level</label><br />
							<input type="radio" name="level" value="1" <?php echo $level_1; ?> >Novice - Very little fitness<br />
							<input type="radio" name="level" value="2" <?php echo $level_2; ?> >Beginner - Some execise<br>
							<input type="radio" name="level" value="3" <?php echo $level_3; ?> >Average Fitness - Moderate exercise<br>
							<input type="radio" name="level" value="4" <?php echo $level_4; ?> >Higher than average Fitness - Vigorous exercise
						</li>
						<li>
							<label for="purpose">Purpose of Exercise</label><br />
							<input type="radio" name="purpose" value="1" <?php echo $purpose_1; ?> />To Lose Weight<br />
							<input type="radio" name="purpose" value="2" <?php echo $purpose_2; ?> />To get in shape<br />
						</li>
					</ol>
					<center>
						<input name="submit" type="submit" class="submit" id="button1" value="Update" />
					</center>
				</fieldset>
			</form>
		  </td>
        </tr>
      </table>
    <!-- InstanceEndEditable --></td>
    <td width="200" align='right' class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2">&nbsp;</td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2" class="maintablebottom"><div align="center">
        <p><img src="images/template/divider.gif" alt="norcgi.com" width="600" height="2" /><br />
        <span class="footer_text">Copyright(C) Healthnet 2008 </span></p>
      </div></td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>
