#! /usr/bin/python

'''
Eugene Marinelli
'''

from cp_uploader import upload_db
from Tkinter import *

class App:

    def __init__(self, master):
        frame = Frame(master)
        frame.pack()

        self.fEntry = Frame(frame, border=1)
        Label(self.fEntry, text="Database filename").pack(side=LEFT)
        self.filename_entry = Entry(self.fEntry)

        self.ipframe = Frame(frame, border=1)
        Label(self.ipframe, text="Gumstix IP").pack(side=LEFT)
        self.ip_entry = Entry(self.ipframe, text="192.168.50.3")
        self.ip_entry.insert(0, "192.168.50.3")

        self.fEntry.pack(side="top", expand="true")
        self.ipframe.pack(side="top", expand="true")

        self.filename_entry.pack(side="top", expand="true")
        self.ip_entry.pack(side="top", expand="true")

        self.button = Button(frame, text="Upload", command=self.upload_callback)
        self.button.pack(side=BOTTOM)

    def upload_callback(self):
        db_filename = self.filename_entry.get()
        gumstix_ip = self.ip_entry.get()

        if db_filename == '' or gumstix_ip == '':
            print("Error - DB filename or gumstix ip missing.")
        else:
            upload_db(db_filename, gumstix_ip)

root = Tk()
root.title("Healthnet Data Uploader")

app = App(root)

root.mainloop()
