import serial
import struct
import sys
import time

use_wx = 1
if use_wx:
    import wx
else: 
    import gtk, gobject
import matplotlib
if use_wx:
    matplotlib.use('WXAgg')
else:
    matplotlib.use('Gtk')
import pylab as p

ser = serial.Serial(6, 9600, timeout=10)
count = 0
def read_msg():
    while 1:
        x = ser.read(1)
        if not x:
            print "Timed out"
            sys.exit(1)
        if x != chr(0x7e):
            continue
        highlow = ser.read(2)
        length = struct.unpack(">H", highlow)[0]
        print "%x%x" % (ord(highlow[0]), ord(highlow[1]))
        data = ser.read(length)
        checksum = ser.read(1)
        if (sum(ord(x) for x in data) + ord(checksum)) & 0xff == 0xff:
            return data
        else:
            print "Bad data"

def datatoframe(x):
    newl = [ord(y) for y in x]
    checksum = 0xff - (0xff & (sum(y for y in newl)))
    return chr(0x7e) + struct.pack(">H",len(x)) + x + chr(checksum)

def senddata(x):
    ser.write(datatoframe(x))

def transdata(dest,data):
    global count
    count = count + 1
    tosend = struct.pack(">BBHB",0x01,count,dest,0) + data
    senddata(tosend)

x = p.arange(0,200, 1)
done = 0

outdata = open("ekg.csv", "w")
#senddata(struct.pack(">BB2c",0x8, 0, "M","M"))
def datain():
    pcount = 0
    lasttime = time.clock()
    while 1:
        x = read_msg()
        apiid = ord(x[0])
        if apiid == 0x81:
            source = struct.unpack(">H", x[1:3])[0]
            type = ord(x[5])
            print "Received message from %x of type %x" % (source, type)
            packetdata = x[6:]
            if type == ord('e'):
                outs = struct.unpack(">50H",packetdata)
                print "Time diff:",time.clock() - lasttime
                lasttime = time.clock()
                print "First data:", [hex(x) for x in outs[0:5]]
                v = struct.unpack(">3h", packetdata[:6])
                #outdata.write("%d,%d,%d\n" % (v[0],v[1],v[2]))
                #outdata.flush()
                for x in outs:
                  yield x
                print "Last data:", [hex(x) for x in outs[45:50]]
            if type == ord('s'):
                pcount += 1
                print "Step number", pcount
            if type == ord('p'):
                pper = struct.unpack(">h", packetdata[:2])
                print "Pulse ox", pper
                
        elif apiid == 0x89:
            uframe, status = struct.unpack("xBB",x)
            print "Got transmit status for %x of %x" % (uframe, status)
        else:
            print "Message of type %x received, first bytes: %x" % (ord(x[0]), timestamp)
rawdata = datain()
subs = [0x980 for x in range(200)]
count = 0
avgsum = 0
#p.ion()
line, = p.plot(range(0,200), subs)
import threading

class ourthr(threading.Thread):
    def run(self):
        getdata(None)

def getdata(stuff):
    global avgsum, count, stime, line
    for x in rawdata:
        if done:
            return
        if count < 200:
            if count >= 100:
                avgsum += x
            subs.append(x)
            subs.pop(0)
            count += 1
            continue
        if count == 200:
            stime = time.clock()
        if count > 200:
            if time.clock() - stime < 1/100.0:
                time.sleep(1/100.0 - (time.clock() - stime))
            stime = time.clock()
        count += 1
        outx = x - (avgsum / 100)
        avgsum += x - subs[100]
        subs.pop(0)
        subs.append(x)
        outdata.write("%d\n" % outx)

st2 = time.clock()
cmin = 0x900
cmax = 0xa00
def printdata(*args):
    global st2, cmax, cmin
    #while time.clock() - st2 < 1/20.0:
    #    pass
    #st2 = time.clock()
    line.set_ydata(subs)
    maxval = max(subs)
    minval = min(subs)
    cmax = cmax * .99 + maxval * .01
    cmin = cmin * .99 + minval * .01
    p.axis([0,200,cmin, cmax])
    p.draw()
    wx.WakeUpIdle()
    #return True
thr = ourthr()
thr.start()
wx.EVT_IDLE(wx.GetApp(), printdata)
#gobject.idle_add(printdata)
p.show()
done = 1
